#### D.13.2.11 containsInSupport

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  containsInSupport(c,d); c cone, d cone
  containsInSupport(c,p); c cone, p intvec/bigintmat

Return:
  1, if d resp. p is contained in c; 0 otherwise

Example:

    LIB "gfan.lib";
    intmat M[2][2]=
    1,0,
    0,1;
    cone c=coneViaPoints(M);
    containsInSupport(c,c);
    ==> 1
    intmat N1[2][2]=
    1,1,
    0,1;
    cone d1=coneViaPoints(N1);
    containsInSupport(c,d1);
    ==> 1
    intmat N2[2][2]=
    1,1,
    1,-1;
    cone d2=coneViaPoints(N2);
    containsInSupport(c,d2);
    ==> 0
    intvec p1=0,1;
    containsInSupport(c,p1);
    ==> 1
    intvec p2=1,-1;
    containsInSupport(c,p2);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.